# Page Not Found

The URL `rest-api` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Roboflow Documentation](https://docs.roboflow.com/readme.md)
- [Review a Rapid Model](https://docs.roboflow.com/rapid/review-a-rapid-model.md)
- [Serverless Hosted API](https://docs.roboflow.com/deploy/serverless-hosted-api-v2.md)
- [Upload Data to Rapid](https://docs.roboflow.com/rapid/upload-data-to-rapid.md)
- [Deploy a Rapid Model](https://docs.roboflow.com/rapid/deploy-a-rapid-model.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.roboflow.com/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.roboflow.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.roboflow.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/readme.md`).

You may also use `Accept: text/markdown` header for content negotiation.
